"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createUserForm = void 0;
const templates_1 = require("../../templates");
const types_1 = require("../../user/types");
function createUserForm(msg, error) {
    return templates_1.render('create-user', {
        title: 'Create User',
        msg: msg,
        error,
        type: types_1.UserTypeList,
        action: '/create-user'
    });
}
exports.createUserForm = createUserForm;
//# sourceMappingURL=html.js.map