"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.collection = void 0;
function collection(user, members) {
    const hal = {
        _links: {
            self: {
                href: '/user/' + user.id + '/member',
                title: user.nickname + ' members'
            },
            item: members.map(member => ({
                href: '/user/' + member.id,
                title: member.nickname
            })),
        },
        total: members.length,
    };
    return hal;
}
exports.collection = collection;
//# sourceMappingURL=hal.js.map