import { User } from '../user/types';
/**
 *  Checks if the user is a type group and returns true or false
 */
export declare function isGroup(user: User): boolean;
/**
 * Finding group members
 */
export declare function findMembers(group: User): Promise<User[]>;
export declare function addMemberToGroup(group: User, user: User): Promise<void>;
export declare function replaceMembers(group: User, users: User[]): Promise<void>;
