"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.metadata = void 0;
function metadata() {
    return {
        issuer: '/',
        authorization_endpoint: '/authorize',
        token_endpoint: '/token',
        response_types_supported: ['token', 'code'],
        grant_types_supported: ['client_credentials', 'implicit', 'authorization_code', 'refresh_token'],
        token_endpoint_auth_methods_supported: ['client_secret_basic'],
        service_documentation: 'https://evertpot.com/',
        ui_locales_supported: ['en'],
        introspection_endpoint: '/introspect',
        revocation_endpoint: '/revoke',
        revocation_endpoint_auth_methods_supported: ['client_secret_basic'],
    };
}
exports.metadata = metadata;
//# sourceMappingURL=json.js.map