import { User } from '../user/types';
export declare type OAuth2Token = {
    accessToken: string;
    refreshToken: string;
    accessTokenExpires: number;
    tokenType: 'bearer';
    user: User;
    clientId: number;
    browserSessionId?: string;
};
export declare type OAuth2Code = {
    code: string;
};
export declare type CodeChallengeMethod = 'plain' | 'S256';
