import { Context } from '@curveball/core';
import { User } from '../user/types';
import { Privilege, PrivilegeMap } from './types';
export declare function getPrivilegesForUser(user: User): Promise<PrivilegeMap>;
export declare function hasPrivilege(who: User | Context, privilege: string, resource?: string): Promise<boolean>;
export declare function findPrivileges(): Promise<Privilege[]>;
export declare function findPrivilege(privilege: string): Promise<Privilege>;
export declare function addPrivilegeForUser(user: User, privilege: string, resource: string): Promise<void>;
