export declare type UserType = 'user' | 'app' | 'group';
export declare const UserTypeList: UserType[];
export declare type User = {
    id: number;
    identity: string;
    nickname: string;
    created: Date;
    type: UserType;
    active: boolean;
};
export declare type NewUser = Omit<User, 'id'>;
