"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const controller_1 = require("@curveball/controller");
const hal_1 = require("./formats/hal");
class HomeController extends controller_1.default {
    get(ctx) {
        // eslint-disable-next-line @typescript-eslint/no-var-requires
        const version = require('../../package.json').version;
        ctx.response.body = hal_1.default(version, ctx.state.user);
    }
}
exports.default = new HomeController();
//# sourceMappingURL=controller.js.map