"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const controller_1 = require("@curveball/controller");
const privilegeService = require("../../privilege/service");
const hal = require("../formats/hal");
const userService = require("../service");
class UserController extends controller_1.default {
    async get(ctx) {
        const user = await userService.findById(+ctx.params.id);
        ctx.response.body = hal.item(user, await privilegeService.getPrivilegesForUser(user));
    }
}
exports.default = new UserController();
//# sourceMappingURL=item.js.map